#ifndef _PicMDEF_
#define _PicMDEF_

typedef struct
{	int			rnum;
	Rect		rects[1];
}	**nrctHand;

typedef struct
{	/* standard fields */
	int			menuID;
	int			menuWidth, menuHeight;
	Handle		menuProc;
	long		enableFlags;
	/* almost standard, normally Str255 */
	Str31		menuTitle;
	/* non-standard fields */
	PicHandle	menuPic;		/* menu picture */
	nrctHand	nrcts;			/* hot areas */
	int			hiOne, hiTwo;	/* two hot areas to highlight, 0 = none */
	Point		tearLoc;		/* top left of tear off rect */
	int			tBarHeight;		/* height to assume for palette title bar */
} PicMenu, *PicMenuPtr, **PicMenuHandle;

MenuHandle NewPicMenu(Str31, PicHandle, nrctHand);
void DisposePicMenu(MenuHandle);

#endif